org.bouncycastle.asn1.cmc

## Class ExtensionReq

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.ExtensionReq

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ExtensionReq
      extends ASN1Object

         ExtensionReq ::= SEQUENCE SIZE (1..MAX) OF Extension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionReq(Extension Extension)` Construct a ExtensionReq object containing one Extension.
    `ExtensionReq(Extension[] extensions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Extension[]` | `getExtensions()`
    `static ExtensionReq` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static ExtensionReq` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionReq

          public ExtensionReq(Extension Extension)

      Construct a ExtensionReq object containing one Extension.
      Parameters:
        `Extension` - the Extension to be contained.

    - #### ExtensionReq

          public ExtensionReq(Extension[] extensions)

  - ### Method Detail

    - #### getInstance

          public static ExtensionReq getInstance(java.lang.Object obj)

    - #### getInstance

          public static ExtensionReq getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

    - #### getExtensions

          public Extension[] getExtensions()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.